package com.izouma.awesomeadmin.service;


import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.dto.TreeNode;
import com.izouma.awesomeadmin.model.SysMenu;

import java.util.List;

/**
 * sys_menu service接口类
 * Tue Apr 10 18:09:44 CST 2018  Suo Chen Cheng
 */
public interface SysMenuService {

    List<SysMenu> getSysMenuList(SysMenu record);

    List<SysMenu> getSysMenuByPage(Page page, SysMenu record);

    SysMenu getSysMenuById(String id);

    SysMenu getSysMenu(SysMenu record);

    boolean createSysMenu(SysMenu record);

    boolean deleteSysMenu(String id);

    boolean updateSysMenu(SysMenu record);

    List<SysMenu> getMenuTree();

    List<SysMenu> getMenuTree(Integer userId);

    List<TreeNode> getMenuTree(boolean all, Integer userId);

}

